
package ihe.iti.xcpd._2009;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import org.hl7.v3.II;


/**
 * <p>Java class for PatientLocationQueryResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PatientLocationQueryResponseType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PatientLocationResponse" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="HomeCommunityId" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                   &lt;element name="CorrespondingPatientId" type="{urn:hl7-org:v3}II"/>
 *                   &lt;element name="RequestedPatientId" type="{urn:hl7-org:v3}II"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PatientLocationQueryResponseType", propOrder = {
    "patientLocationResponse"
})
public class PatientLocationQueryResponseType {

    @XmlElement(name = "PatientLocationResponse", required = true)
    protected List<PatientLocationQueryResponseType.PatientLocationResponse> patientLocationResponse;

    /**
     * Gets the value of the patientLocationResponse property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the patientLocationResponse property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPatientLocationResponse().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PatientLocationQueryResponseType.PatientLocationResponse }
     * 
     * 
     */
    public List<PatientLocationQueryResponseType.PatientLocationResponse> getPatientLocationResponse() {
        if (patientLocationResponse == null) {
            patientLocationResponse = new ArrayList<PatientLocationQueryResponseType.PatientLocationResponse>();
        }
        return this.patientLocationResponse;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="HomeCommunityId" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *         &lt;element name="CorrespondingPatientId" type="{urn:hl7-org:v3}II"/>
     *         &lt;element name="RequestedPatientId" type="{urn:hl7-org:v3}II"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "homeCommunityId",
        "correspondingPatientId",
        "requestedPatientId"
    })
    public static class PatientLocationResponse {

        @XmlElement(name = "HomeCommunityId", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String homeCommunityId;
        @XmlElement(name = "CorrespondingPatientId", required = true)
        protected II correspondingPatientId;
        @XmlElement(name = "RequestedPatientId", required = true)
        protected II requestedPatientId;

        /**
         * Gets the value of the homeCommunityId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getHomeCommunityId() {
            return homeCommunityId;
        }

        /**
         * Sets the value of the homeCommunityId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setHomeCommunityId(String value) {
            this.homeCommunityId = value;
        }

        /**
         * Gets the value of the correspondingPatientId property.
         * 
         * @return
         *     possible object is
         *     {@link II }
         *     
         */
        public II getCorrespondingPatientId() {
            return correspondingPatientId;
        }

        /**
         * Sets the value of the correspondingPatientId property.
         * 
         * @param value
         *     allowed object is
         *     {@link II }
         *     
         */
        public void setCorrespondingPatientId(II value) {
            this.correspondingPatientId = value;
        }

        /**
         * Gets the value of the requestedPatientId property.
         * 
         * @return
         *     possible object is
         *     {@link II }
         *     
         */
        public II getRequestedPatientId() {
            return requestedPatientId;
        }

        /**
         * Sets the value of the requestedPatientId property.
         * 
         * @param value
         *     allowed object is
         *     {@link II }
         *     
         */
        public void setRequestedPatientId(II value) {
            this.requestedPatientId = value;
        }

    }

}
